This endpoint supplies the questions that users have to answer regarding the Anti-Money Laundering Directive (AMLD5).
GET
/api/v1/user/verify/amld5
The user has to pick one of the answer options for each question. Answers can then be posted to the POST /api/v1/user/verify/amld5 endpoint.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” locale
string
Responses
Section titled “ Responses ”AMLD5 questions retrieved successfully.
object
questions
The AMLD5 questions.
Array<object>
object
key
A key to identify this question.
string
Example
employmentStatus label
The question in a certain locale.
string
Example
Why did you open an account at BTC Direct? answerOptions
The possible answer options for this question.
Array<object>
object
label
A label for this answer option.
string
Example
InvestingExample
[ "Investing", "Trading", "Money", "Online gambling"]Example
[ { "key": "employmentStatus", "label": "What is your current employment status?", "answerOptions": [ "Investing", "Trading", "Money", "Online gambling" ] }, { "key": "mainSourceOfIncome", "label": "What is the origin of your assets?", "answerOptions": [ "Income from employment", "Savings", "Investment income", "Inheritance", "Gift", "Sale of enterprise", "Sale of property", "Loan" ] }]A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER099": { "code": "ER099", "message": "Invalid locale provided.", "solution": "Provide a valid locale." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}